Subject: Re: [PATCH 3/4] Make net watchdog timers 1 sec jiffy aligned

From: Patrick McHardy <[email-masked]>
Date: Wed, 30 May 2007 21:32:18 +0200

Venki Pallipadi wrote:
> On Wed, May 30, 2007 at 08:42:32PM +0200, Patrick McHardy wrote:
> 
>>
>>It seems wasteful to add per-packet overhead for tx timeouts, which
>>should be an exception. Do drivers really care about the exact
>>timeout value? Compared to a packet transmission time its incredibly
>>long anyways ..
> 
> 
> I agree. Doing a mod_timer or hrtimer_forward to push forward may add to the
> complexity depending on how often TX happens.
> 
> Are the drivers really worried about exact timeouts here?

Just guessing, but I don't think they are, after all timers can be late.

> Can we use rounding for the timers that are more than a second, at least?

Also sounds reasonable.